org.eclipse.graphiti.ui.internal.util.draw2d

## Class ZoomingInsetsHandleLocator

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.draw2d.ZoomingInsetsHandleLocator

All Implemented Interfaces:
  org.eclipse.draw2d.Locator

    public class ZoomingInsetsHandleLocator
    extends Object
    implements org.eclipse.draw2d.Locator

A Locator, which sets the target bounds to the reference figure bounds. Insets are applied to expand/shrink the reference figure bounds at the beginning of the calculation. The insets are adjusted with the current zoom-level.

### Constructor Summary

Constructors
Constructor and Description
`ZoomingInsetsHandleLocator(org.eclipse.draw2d.IFigure reference, IConfigurationProvider configurationProvider, org.eclipse.draw2d.geometry.Insets handleInsets)` Creates a new ZoomingInsetsHandleLocator.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `relocate(org.eclipse.draw2d.IFigure target)` Sets the bounds of the target figure as described above.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZoomingInsetsHandleLocator

    public ZoomingInsetsHandleLocator(org.eclipse.draw2d.IFigure reference,
                                      IConfigurationProvider configurationProvider,
                                      org.eclipse.draw2d.geometry.Insets handleInsets)

Creates a new ZoomingInsetsHandleLocator.

Parameters:
  `reference` - The target bounds are calculated depending on this reference figure.
  `configurationProvider` - The configuration provider which can be used to access the environment.
  `handleInsets` - The insets to apply to the reference figure bounds.

### Method Detail

#### relocate

    public void relocate(org.eclipse.draw2d.IFigure target)

Sets the bounds of the target figure as described above.

Specified by:
  `relocate` in interface `org.eclipse.draw2d.Locator`
Parameters:
  `target` - The target figure for which to set the bounds.